Execute a select statement over model records

Executes a select statement based on the pre-defined SelectStatement AST against records of the specified model (optionally at a specific model version or time as_of). The request body must contain a select statement; see the SelectStatement/Predicate schemas for structure and allowed operators.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Query Params
string
required

The node ID of the dataset which the model belongs to

integer

Specific model version to query; if unset, latest as of as_of is used.

date-time

Point-in-time for schema/model resolution; defaults to now.

Body Params

Predicate to filter the model records by

select
object
required

Query AST. select is a list of projections. Optional where is a Predicate tree. group_by is a list of property paths. order_by controls sorting. limit/offset control pagination

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json